#!/bin/bash

while (( "$#" )); do

	if [[ $1 == "--graphical" ]] ; then
		shift
		xfce4-terminal -x bash $(basename "$0") "$@"
		exit 0
		
	elif [[ -d $1 ]] ; then
		cd $1
		
	else
		echo "Unknown argument" >&2
		exit 1
		
	fi

	shift
	
done

rren -r '*.mkv' _ " "
rren -e '[*.mkv' "\[(.+?)\]\s+([^\[]+)\s+(?:\[(.*)\])?\.([a-z0-9]{3})" "\2 [\1 \3].\4"
rren -r '*.mkv' "] [" " "
rren -r '*.mkv' "][" " "

pause

##
##  Original _shunt_tags.cmd content:
##
##  @rren -r *.mkv _ " "
##  @rren -e [*.mkv "\[([^]+?)\]\s+([^\[]+)\s+(?:\[(.*)\])?\.([a-z0-9]{3})" "$2 [$1 $3].$4"
##  @rren -r *.mkv "] [" " "
##  @rren -r *.mkv "][" " "
##  @pause
## 

